Skip to main content
Try it live: Merge Various Document Type → API Tester — send a real request from your browser.

POST /v1/pdf/merge2

We do not support images in the HEIC format (Apple’s image format) or the WEBP format.
The total combined size of all input file URls must not exceed 2 GB. Requests that exceed this limit will not be processed.
This endpoint is similar to /pdf/merge but it also supports zip, doc, docx, xls, xlsx, rtf, txt, png, jpg files as source. We recommended to use this endpoint in async: true mode because it may need to convert source documents to PDF. This endpoint also consumes more credits because of the internal conversions.

Attributes

Attributes are case-sensitive and should be inside JSON for POST request. for example: { "url": "https://example.com/file1.pdf" }

Query parameters

No query parameters accepted.

Responses

Example Payload

To see the request size limits, please refer to the Request Size Limits.

Example Response

To see the main response codes, please refer to the Response Codes page.
Inconsistent URL Encoding in cURL Output: When using cURL to make API requests, the output JSON may show URL characters encoded as Unicode escape sequences. For example, the ampersand character (&) may appear as \u0026 in the cURL output. This is normal JSON encoding behavior and does not affect the validity of the URL. The URL will function correctly when used, as JSON parsers automatically decode these escape sequences. If you’re parsing the response programmatically, your JSON parser will handle this conversion automatically.

Code Samples